package com.hz.pm.api.projectlib.model.dto;

import cn.hutool.core.io.FileUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSON;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import cn.hutool.poi.excel.ExcelReader;
import cn.hutool.poi.excel.ExcelUtil;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hz.pm.api.common.util.BizUtils;
import com.ningdatech.basic.util.CollUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.File;
import java.nio.charset.StandardCharsets;
import java.time.LocalDateTime;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
 * MhSystemBaseInfoVO
 * </p>
 *
 * @author WendyYang
 * @since 13:35 2024/8/16
 */
@Data
public class MhSystemBaseInfoDTO {

    @ApiModelProperty("替代前系统名称")
    private String sourceName;

    @ApiModelProperty("替代后系统名称")
    private String targetName;

    @ApiModelProperty("建设单位")
    private String buildOrgName;

    @ApiModelProperty("替换类型： IM:改造提升 IT:综合集成 NE:自然淘汰")
    private String replaceType;

    @ApiModelProperty("集成系统数量")
    private Integer systemNum;

    @ApiModelProperty("计划开始时间")
    private String planStartDate;

    @ApiModelProperty("计划开始时间")
    private String planFinishDate;

    @ApiModelProperty("实际开始时间")
    private String actualStartDate;

    @ApiModelProperty("实际完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime actualFinishDate;

}
